Bug 164289 - rpmbuild fails - popt not updated
rpmbuild fails - popt not updated
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-26 12:26 EDT by Sammy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.4.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 18:13:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2005-07-26 12:26:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; X11; en_US) KHTML/3.4.2 (like Gecko)

Description of problem:
rpmbuild failed just before writing rpm's with the message: 
 
getOutputFrom(): Broken pipe 
 
ALSO: popt versioning went down so popt package was not updated by yum. I am not 
sure if these are related or not. 

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. update using yum 
2. popt not updated 
3. 
   

Additional info:
Comment 1 Paul Nasrat 2005-07-26 12:48:26 EDT
popt versioning unrelated, will be fixed in next rebuild.

Can you add to ~/.rpmmacros and try another build

%__perl_provides       /usr/lib/rpm/perl.prov
%__perl_requires       /usr/lib/rpm/perl.req
Comment 2 Robert Scheck 2005-07-27 05:54:21 EDT
[Off-Bugzilla] Paul, requires for popt is 1.10.1 anyway (rpm-4.4.2-2) - and 
wrong! Please change to 1.10.2, that the right popt version is always required 
by rpm...
Comment 3 Paul Nasrat 2005-07-27 08:13:06 EDT
Yup picked that up this morning - apologies for oversight. 4.4.2-3 building now
should be in next rawhide.
Comment 4 Jeff Johnson 2005-08-26 22:00:05 EDT
popt version is not the bug, either (or any recent) popt will do.

getOutputFrom() is the bug here.

Note You need to log in before you can comment on or make changes to this bug.